CMake error when running verification script

CMake error when running verification script


I have Windows 7, and my instllation completed successfully, but when running verification sctipt, I have the following error:

---

C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo>demo_squeezenet_download_convert_run.bat
target_precision = FP16
Python 3.6.5
Режим вывода команд на экран (ECHO) отключен.
PYTHONPATH=C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\accuracy_checker;C:\Progra
m Files (x86)\IntelSWTools\openvino\python\python3.6;C:\Program Files (x86)\IntelSWTools\openvino\python\python3;C:\Prog
ram Files (x86)\IntelSWTools\openvino\deployment_tools\model_optimizer;C:\Program Files (x86)\IntelSWTools\openvino\depl
oyment_tools\open_model_zoo\tools\accuracy_checker;C:\Program Files (x86)\IntelSWTools\openvino\python\python3.6;C:\Prog
ram Files (x86)\IntelSWTools\openvino\python\python3;C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\model
_optimizer;
[setupvars.bat] OpenVINO environment initialized
INTEL_OPENVINO_DIR is set to C:\Program Files (x86)\IntelSWTools\openvino
Python 3.6.5
Режим вывода команд на экран (ECHO) отключен.
Requirement already satisfied: pyyaml in c:\users\user\appdata\roaming\python\python36\site-packages (from -r C:\Program
 Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 1))
Requirement already satisfied: requests in c:\users\user\appdata\roaming\python\python36\site-packages (from -r C:\Progr
am Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\requirements.in (line 2))
Requirement already satisfied: idna<2.7,>=2.5 in c:\users\user\appdata\roaming\python\python36\site-packages (from reque
sts->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\requiremen
ts.in (line 2))
Requirement already satisfied: certifi>=2017.4.17 in c:\users\user\appdata\roaming\python\python36\site-packages (from r
equests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\requir
ements.in (line 2))
Requirement already satisfied: urllib3<1.23,>=1.21.1 in c:\users\user\appdata\roaming\python\python36\site-packages (fro
m requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\req
uirements.in (line 2))
Requirement already satisfied: chardet<3.1.0,>=3.0.2 in c:\users\user\appdata\roaming\python\python36\site-packages (fro
m requests->-r C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\demo\..\open_model_zoo\tools\downloader\req
uirements.in (line 2))
You are using pip version 9.0.3, however version 20.0.2 is available.
You should consider upgrading via the 'python -m pip install --upgrade pip' command.
Download public squeezenet1.1 model
python "C:\Program Files (x86)\IntelSWTools\openvino\deployment_tools\open_model_zoo\tools\downloader\downloader.py" --n
ame "squeezenet1.1" --output_dir "C:\Users\user\Documents\Intel\OpenVINO\openvino_models\models" --cache_dir "C:\Users\u
ser\Documents\Intel\OpenVINO\openvino_models\cache"
################|| Downloading models ||################

========== Retrieving C:\Users\user\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezenet1.1.p
rototxt from the cache

========== Retrieving C:\Users\user\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezenet1.1.c
affemodel from the cache

################|| Post-processing ||################

========== Replacing text in C:\Users\user\Documents\Intel\OpenVINO\openvino_models\models\public\squeezenet1.1\squeezen
et1.1.prototxt
squeezenet1.1 model downloading completed

Время ожидания 0 сек., нажмите любую клавишу для продолжения ...

Target folder C:\Users\user\Documents\Intel\OpenVINO\openvino_models\ir\public\squeezenet1.1\FP16 already exists. Skippi
ng IR generation with Model Optimizer.
If you want to convert a model again, remove the entire C:\Users\user\Documents\Intel\OpenVINO\openvino_models\ir\public
\squeezenet1.1\FP16 folder.

Время ожидания 0 сек., нажмите любую клавишу для продолжения ...

###############|| Generate VS solution for Inference Engine samples using cmake ||###############

Время ожидания 0 сек., нажмите любую клавишу для продолжения ...
Creating Visual Studio 15 2017 Win32 files in C:\Users\user\Documents\Intel\OpenVINO\inference_engine_samples_build...
-- Selecting Windows SDK version 10.0.17763.0 to target Windows 6.1.7601.
-- The C compiler identification is MSVC 19.16.27026.1
-- The CXX compiler identification is MSVC 19.16.27026.1
-- Check for working C compiler: C:/Program Files (x86)/Microsoft Visual Studio/2017/Community/VC/Tools/MSVC/14.16.27023
/bin/Hostx86/x86/cl.exe
-- Check for working C compiler: C:/Program Files (x86)/Microsoft Visual Studio/2017/Community/VC/Tools/MSVC/14.16.27023
/bin/Hostx86/x86/cl.exe -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: C:/Program Files (x86)/Microsoft Visual Studio/2017/Community/VC/Tools/MSVC/14.16.270
23/bin/Hostx86/x86/cl.exe
-- Check for working CXX compiler: C:/Program Files (x86)/Microsoft Visual Studio/2017/Community/VC/Tools/MSVC/14.16.270
23/bin/Hostx86/x86/cl.exe -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
CMake Error at CMakeLists.txt:51 (message):
  Only 64-bit supported on Windows

-- Configuring incomplete, errors occurred!
See also "C:/Users/user/Documents/Intel/OpenVINO/inference_engine_samples_build/CMakeFiles/CMakeOutput.log".
Error

---

CMakeOutput.log is attached.

I do not understand why it complains "Only 64-bit supported on Windows", if this is 64-bit Windows and cmake is also 64-bit?

 

 

AttachmentSize
Downloadapplication/octet-stream CMakeOutput.log16.78 KB
4 posts / 0 new

Hi,

OpenVINO is compatible on Windows® 10 (64 bit) Operating System.

Also, it is recommended to use CMake 3.4 or higher 64-bit

Please refer to the system requirements

Regards,

Jaivin

 


Hi Jaivin, thank you for you reply.
Actually the page you mentioned above, says

"A Windows* build environment needs these components: .... CMake 2.8 or higher", and I have 3.14.

But, I think this is not the major point. The major point is that I have Windows 7, not Windows 10.
So, my question is - would it be at all possible to properly install OpenVINO on my Windows 7 (provided other requirements are met), or it is not worth even trying?
 


Hi,

As per the installation guide of OpenVINO™ toolkit for Windows*, it is required to use Microsoft Windows* 10 64-bit Operating System and the mentioned dependencies to complete the installation properly.

Feel free to ask if you have any additional questions.

Regards,

Jaivin

Leave a Comment

Please sign in to add a comment. Not a member? Join today